Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class StyleRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.StyleRecord

    public final class StyleRecord

extends StandardRecord

Title: Style Record (0x0293)

Description: Describes a builtin to the gui or user defined style

REFERENCE: PG 390 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), aviks : string fixes for UserDefined Style

Field Summary
`static short` | `sid`

Constructor Summary
`StyleRecord()` creates a new style record, initially set to 'built-in'
`StyleRecord(RecordInputStream in)`

Method Summary
`protected int` | `getDataSize()`
`java.lang.String` | `getName()` get the style's name
`short` | `getSid()` return the non static version of the id for this record.
`int` | `getXFIndex()` get the actual index of the style extended format record
`boolean` | `isBuiltin()`
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setBuiltinStyle(int builtinStyleId)` if this is a builtin style set the number of the built in style
`void` | `setName(java.lang.String name)` set the style's name
`void` | `setOutlineStyleLevel(int level)` set the row or column level of the style (if builtin 1||2)
`void` | `setXFIndex(int xfIndex)` set the actual index of the style extended format record
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### StyleRecord

    public StyleRecord()

  creates a new style record, initially set to 'built-in'

### StyleRecord

    public StyleRecord(RecordInputStream in)

Method Detail

### setXFIndex

    public void setXFIndex(int xfIndex)

  set the actual index of the style extended format record

  Parameters:
    `xfIndex` - of the xf record

### getXFIndex

    public int getXFIndex()

  get the actual index of the style extended format record

  Returns:
    index of the xf record
  See Also:
    `getXFIndex()`

### setName

    public void setName(java.lang.String name)

  set the style's name

  Parameters:
    `name` - of the style

### setBuiltinStyle

    public void setBuiltinStyle(int builtinStyleId)

  if this is a builtin style set the number of the built in style

  Parameters:
    `builtinStyleId` - style number (0-7)

### setOutlineStyleLevel

    public void setOutlineStyleLevel(int level)

  set the row or column level of the style (if builtin 1||2)

### isBuiltin

    public boolean isBuiltin()

### getName

    public java.lang.String getName()

  get the style's name

  Returns:
    name of the style

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.